%%%
  VERSION:1
  LANGUAGE:ENGLISH
%%%

MODULE MY_PROG
! -------------------------------------------------
! Path Export
! EASY-ROB 3D Robot Simulation Tool
! Copyright (c) 1996-2011
! 
! cRobot ER431
! -------------------------------------------------

! -------------------------------------------------
! TriggData variables for DIGITAL signals
! -------------------------------------------------

! -------------------------------------------------
! Declaration of common variables
! -------------------------------------------------
 PERS LoadData lDef:=[10,[0,0,0.1],[1,0,0,0],0,0,0];
 PERS ZoneData zDef:=[FALSE,0,0,0,0,0,0];
 PERS SpeedData vDef:=[0.05,500,5000,1000];

 PERS WobjData WOBJ01:=[FALSE,TRUE,"",[[-0.000000,-0.000000,-0.000000],[1.00000000,0.00000000,0.00000000,0.00000000]],[[0,0,0],[1,0,0,0]]];

! -------------------------------------------------
! Declaration of Tools and Workobjects
! 
! Note:
! This definition must be available in another module file!!
! -------------------------------------------------
 PERS ToolData TOOL_1:=[TRUE,[[0.000000,0.000000,0.000000],[1.00000000,0.00000000,0.00000000,0.00000000]],[0.1,[0.1,0.1,0.1],[1,0,0,0],0.4,0.4,0.4]];
 PERS ZoneData z1:=[FALSE,0,0,0,0,0,0];
 PERS SpeedData vProcess:=[255,500,5000,1000];

! -------------------------------------------------
! Robtarget declaration
! -------------------------------------------------
PERS robtarget R_1:=[[1699.239016,0.000000,2232.568979],[0.67559,0.00000,0.73728,0.00000],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
PERS robtarget R_2:=[[949.922979,652.863979,2280.380011],[0.64520,-0.21863,0.70411,0.20034],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
PERS robtarget R_3:=[[756.201029,-869.911015,2280.380011],[0.61476,0.30574,0.67089,-0.28016],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
PERS robtarget R_4:=[[1849.236965,-461.066008,1865.038991],[0.30883,0.11582,0.94328,-0.03792],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];

! -------------------------------------------------
! Utility functions to switch configs ON and Off
! -------------------------------------------------

LOCAL PROC Config_ON()
 ConfJ\ON;
 ConfL\ON;
ENDPROC

LOCAL PROC Config_OFF()
 ConfJ\OFF;
 ConfL\OFF;
ENDPROC

! -------------------------------------------------
! Initialization of TriggData variables for DIGITAL signals
! -------------------------------------------------
LOCAL PROC Init_Trigger()
ENDPROC

! ------------------------------------------------------------
! Pathnumber: PATH01
! ------------------------------------------------------------
PROC ErProg001()
 MoveJ R_1,vProcess,fine,TOOL_1\WObj:=WOBJ01;
 MoveJ R_2,vProcess,fine,TOOL_1\WObj:=WOBJ01;
 MoveJ R_3,vProcess,fine,TOOL_1\WObj:=WOBJ01;
 MoveJ R_4,vProcess,fine,TOOL_1\WObj:=WOBJ01;
ENDPROC

! PROC ErProg002()
 ! MoveJ [[1699.239014,0.000000,2232.569092],[0.67559022,0.00000000,0.73727739,0.00000000],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vProcess,fine,TOOL_1\WObj:=WOBJ01;
 ! MoveJ [[949.922974,652.863953,2280.380127],[0.64520216,-0.21863344,0.70411456,0.20034055],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vProcess,fine,TOOL_1\WObj:=WOBJ01;
 ! MoveJ [[756.201050,-869.911011,2280.380127],[0.61476082,0.30574414,0.67089367,-0.28016296],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vProcess,fine,TOOL_1\WObj:=WOBJ01;
 ! MoveJ [[1849.236938,-461.066010,1865.038940],[0.30883491,0.11581946,0.94327557,-0.03792007],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vProcess,fine,TOOL_1\WObj:=WOBJ01;
! ENDPROC

! ------------------------------------------------------------
!  This procedure is the basic "main" function. It will call
!  the ErProg001.
! ------------------------------------------------------------

 PROC RunER()
  Init_Trigger;
  Config_OFF;
  ErProg001;
! ErProg002;
  Config_ON;
 ENDPROC
ENDMODULE

